1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Help Newbie

Discussion in 'Sitebuilder 4.0 for Linux' started by conutant, Oct 1, 2007.

  1. conutant

    conutant Guest

    0
     
    Hey,
    I'm going crazy here. I just bought the 100 site lease from swsoft and I don't know how to install it. I have plesk and CentOS. I just want a step by step guide on how to install it.

    The user guide is like rubbish to me. I tried to do the autoinstaller but have no idea how to run it.

    Thank you,
    Tyler
     
  2. conutant

    conutant Guest

    0
     
    I get this now.

    Autoinstaller 3.2.1 (build at 2007-09-14 16:14 svn rev. 88422) started at (timezone PST) Mon Oct 1 16:14:53 2007
    Command line args: /usr/local/psa/admin/bin/autoinstaller --enable-xml-output --source-type=plesk --target=/root/psa --select-release-id=PLESK_8_2_1 --notify-email=tyler@vewgle.com --install-component=sitebuilder

    Try to find rcfile...
    Autoinstaller rcfile not found.
    Check hostname is sucessfull.
    Opsys detected as: os_name=Linux os_vendor=CentOS version=4.4 arch=i686 environment=vz
    Final opsys (with overriding) is: os_name=Linux os_vendor=CentOS version=4.4 arch=i686 environment=vz
    Downloading the file products.inf3: 100% done.
    Downloading the file plesk.inf3: 13%..43%..100% done.
    Downloading the file sitebuilder.inf3: 100% done.
    repository: Get brief packages info for all sources
    Checking for installed packages... readSystemPackagesBrief: execute rpm -qa --queryformat 'F:system_installed_brief_%{NAME}-%{VERSION}-%{RELEASE}.rpm\nN:%{NAME}\nE:%{EPOCH}\nV:%{VERSION}\nL:%{RELEASE}\nA:%{ARCH}\nf:%{INSTALLTIME}\nB:%{BUILDTIME}\nX:\n'
    done
    release PLESK_8_2_1 is actual
    release SB_4_0_0 is actual
    Select best build of PLESK_8_2_1 for current OS
    First fit build is current best: PSA_8.2.1/plesk-8.2.1-cos4.2-i386.inf3
    Select best build: finally choised PSA_8.2.1/plesk-8.2.1-cos4.2-i386.inf3
    Downloading the file PSA_8.2.1/plesk-8.2.1-cos4.2-i386.inf3: 11%..100% done.
    - Show quoted text -
    Virtuozzo was detected. Trying to connect to VZAgent...Warning! Failed to connect to VZAgent: open: No such device or address
    repository: Get brief packages info for all sources
    Detecting installed product components.
    Component base: mode up2date, installed=1190088752, available=1190088752
    Component base have no older version, so keyupdate not needed
    Component psa-autoinstaller: mode up2date, installed=1189761553, available=1189761553
    Component asp: mode up2date, installed=1190088748, available=1190088748
    Component mailman: mode up2date, installed=1190088713, available=1190088713
    Component postgresql: mode install, installed=0, available=1178789301
    Component java: mode install, installed=0, available=1190088530
    Component spamassassin: mode up2date, installed=1190088749, available=1190088749
    Component rblsmtpd: mode up2date, installed=1190088532, available=1190088532
    Component mod_python: mode up2date, installed=1109047150, available=1109047150
    Component ruby: mode install, installed=0, available=1190088721
    Component fcgi: mode install, installed=0, available=1160387824
    Component vault: mode install, installed=0, available=1188194045
    Component horde-comps: mode up2date, installed=1190088679, available=1190088679
    Component docs: mode up2date, installed=1190088664, available=1190088664
    Component backup-vz: mode up2date, installed=1190088719, available=1190088719
    Component drweb: mode install, installed=0, available=1190088494
    Component kav: mode install, installed=0, available=1190088732
    Component ppwse: mode install, installed=0, available=1190088694
    Component api: mode up2date, installed=1190088517, available=1190088517
    Component sshterm: mode up2date, installed=1190088455, available=1190088455
    Component pmm: mode up2date, installed=1190088705, available=1190088705
    Component psa-firewall: mode up2date, installed=1190088526, available=1190088526
    Component cs-gs: mode install, installed=0, available=1190088521
    Component psa-vpn: mode up2date, installed=1190088659, available=1190088659
    Component battlefield: mode install, installed=0, available=1190088683
    Component bf2: mode install, installed=0, available=1190088716
    Component psa-fileserver: mode install, installed=0, available=1190088514
    Component watchdog: mode up2date, installed=1190088701, available=1190088701
    Component sitebuilder: mode upgrade, installed=1182878567, available=1184068272
    Component sb-publish: mode up2date, installed=1160552838, available=1160552838
    Component cf-support: mode install, installed=0, available=1190088718
    Component miva: mode install, installed=0, available=1190088724
    Component sso: mode install, installed=0, available=1190088737
    Component de-DE-locale: mode install, installed=0, available=1190032171
    Component ja-JP-locale: mode install, installed=0, available=1190032186
    Component es-ES-locale: mode install, installed=0, available=1190032176
    Component ru-RU-locale: mode install, installed=0, available=1190032203
    Component fr-FR-locale: mode install, installed=0, available=1190032180
    Component it-IT-locale: mode install, installed=0, available=1190032184
    Component zh-CN-locale: mode install, installed=0, available=1190032209
    Component zh-TW-locale: mode install, installed=0, available=1190032211
    Check for components requires keyupdate
    Exchanging information with licensing server.
    KeyUpdateChecker::doCheck: no components for check key update
    repository: Get full packages info for all sources
    Retrieving information about the installed packages... execute command for generate rpm cache in /tmp:
    rpm -qa --queryformat 'F:system_installed_%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}.rpm\nN:%{NAME}\nE:%{EPOCH}\nV:%{VERSION}\nL:%{RELEASE}\nA:%{ARCH}\nf:%{INSTALLTIME}\nB:%{BUILDTIME}\n[R:%{REQUIRENAME} %{REQUIREFLAGS:depflags} %{REQUIREVERSION}\n][P:%{PROVIDENAME} %{PROVIDEFLAGS:depflags} %{PROVIDEVERSION}\n][P:%{FILENAMES}\nm:%{FILEMODES}\n5:%{FILEMD5S}%{FILELINKTOS}\n][C:%{CONFLICTNAME} %{CONFLICTFLAGS:depflags} %{CONFLICTVERSION}\n][O:%{OBSOLETENAME} %{OBSOLETEFLAGS:depflags} %{OBSOLETEVERSION}\n]X:\n' > /tmp/autoinstaller_system_packages.cache
    read cache file
    done
    Downloading the file PSA_8.2.1/update-rpm-CentOS-4.2-i386/update-8.2.1-cos4.2-i386.hdr.gz: 22%..60%..96%..100% done.
    Downloading the file PSA_8.2.1/dist-rpm-CentOS-4.2-i386/build-8.2.1-cos4.2-i386.hdr.gz: 31%..81%..100% done.
    Downloading the file PSA_8.2.1/thirdparty-rpm-CentOS-4.2-i386/thirdparty-8.2.1-cos4.2-i386.hdr.gz: 100% done.
    Determining the packages that need to be installed.

    Getting packages to installation list:
    Get packages to installation from selected component sitebuilder
    Warning: unresolved requires 'dummy-centos-4' from dummy-selinux-openvz-1.0-2.noarch
    Warning: packages conflict by files detected: package python-2.3.4-14.2.i386
    conflict with package python-devel-2.3.4-14.4.i386
    both have file /usr/lib/python2.3/config/Makefile with different md5 sum.
    Warning: packages conflict by files detected: package vzdummyce4-1.0-8.swsoft.noarch
    conflict with package module-init-tools-3.1-0.pre5.3.4.i386
    both have file /sbin/insmod with different md5 sum.
    Warning: packages conflict by files detected: package module-init-tools-3.1-0.pre5.3.4.i386
    conflict with package vzdummyce4-1.0-8.swsoft.noarch
    both have file /sbin/insmod with different md5 sum.
    Check package set before installation
    The following components will be installed because they are required by the components you selected: 'base'
    repository: download selected packages
    Downloading the file PSA_8.2.1/dist-rpm-CentOS-4.2-i386/opt/sitebuilder/psa-sbm3-4.0-46.noarch.rpm: skipped because of md5 checksum match.
    Starting installation of packages
    Warning: unresolved requires '/sbin/nash' from initscripts-7.93.25.EL-1.centos4.i386
    prepareInstallStep: resolve results for package(s):
    (s) system_installed_bash-3.0-19.3.i386.rpm
    (s) system_installed_perl-5.8.5-36.RHEL4.i386.rpm
    (s) system_installed_psa-8.2.1-cos4.build82070918.10.i586.rpm
    (s) system_installed_php-4.3.9-3.18.1.swsoft.i386.rpm
    Installing the package psa-sbm3-4.0-46.noarch
    Trying to establish test connection... connected
    done
    ===> Installing database
    ===> Registering module...
    ===> Module has been registered successfully.
    Trying to find local SB installation... Not found. Use blank address
     
  3. centos_user

    centos_user Guest

    0
     
    had troble with centos too

    After many tryes to auto install plesk8 in centos 4.5 made clean install of centos 4.5.. upgraded it to centos 5 and right after that installed plesk with autoinstall... no problems.
     
  4. conutant

    conutant Guest

    0
     
    Now it says

    "

    Could not connect to specified SiteBuilder server
    Local sitebuilder installation was found but it's remote api isn't available. May be server is down or DNS is not configured properly!

    "

    arrg!
     
  5. centos_user

    centos_user Guest

    0
     
    try this

    oh, noticed you were installing 8.2.1.. I got 8.2 installed to clean centos (previous version). Try to install that and upgrade it.

    One note from other user here in forum >>
    But take good notice of the partition sugestions Plesk makes. The /usr/local is too small if you try to upgrade

    So on a clean install, make a larger /usr/local partition then suggested! <<

    Hope this helps :)
     
  6. Dmitry Frantsev

    Dmitry Frantsev Golden Pleskian

    28
    57%
    Joined:
    Sep 19, 2005
    Messages:
    1,911
    Likes Received:
    0
    Make sure that host on which Sitebuilder is configured can be resolved correctly. Current host and IP configuration for Sitebuilder you can get on the server with following command:

    # sb_config --help|grep sb_host

    So make sure that 'SiteBuilder virutal host name' is resolved. If not, create appropriate DNS record. It can be done through Plesk if Plesk is your name server.

     
  7. conutant

    conutant Guest

    0
     
    Im getting closer! Im sorry for this other stupid question but how do you enter in those commands? SSH? Thanks.
     
  8. conutant

    conutant Guest

    0
     
    And why is only xcopy available when I try to publish sites?
     
  9. caustic

    caustic Guest

    0
     

    Im getting closer! Im sorry for this other stupid question but how do you enter in those commands? SSH?

    yes

    And why is only xcopy available when I try to publish sites?
    unless you have an unlimited number of hosts in your license you need to create new host (server->hosts) to publish to.
     
  10. conutant

    conutant Guest

    0
     
    Ahh!! Thank you caustic I finally got it to work! I have one more question. Sometimes when I try to go to my sitebuilder it will say "server not found" but other times it works fine. Any ideas?
     
  11. Dmitry Frantsev

    Dmitry Frantsev Golden Pleskian

    28
    57%
    Joined:
    Sep 19, 2005
    Messages:
    1,911
    Likes Received:
    0
    In this case make sure that apache is always running without any problems and that correct URLs are used for Sitebuilder access. 'Server not Found' error can not be caused by Sitebuilder itself. It related to apache or apache configuration.
    If you could give more details regarding this situation we could possible give some suggestions here.
     
  12. conutant

    conutant Guest

    0
     
    Yeah sure.

    When I go to the modules then to "Remote Administration of Sitebuilder" I check to see if it finds the sitebuilder address and it does. The address is http://sitebuilder.vps.nowitsonline.com/ServiceFacade/ and it gives no errors when it finds it. But the thing is that its not there.

    I can click on Plesk Resellers and Domains but I get a server not found error when I click on Users, Sites, Servers, Logs and System Information.

    The sitebuilder did work for a while but now it seems like its not working at all.
     
  13. Dmitry Frantsev

    Dmitry Frantsev Golden Pleskian

    28
    57%
    Joined:
    Sep 19, 2005
    Messages:
    1,911
    Likes Received:
    0
    As I can see domain sitebuilder.vps.nowitsonline.com can be resolved now correctly and Sitebuilder can be browsed without any problems, so try to check integration one more time. Just specify URL, admin user name and password ( admin/admin by default). Everything should be fine.
     
  14. conutant

    conutant Guest

    0
     
    Yes I did it with the help of tech support. Thank you for all of your support on this form. I am so happy, now my business can start working. =)
     
  15. naichunlei

    naichunlei Guest

    0
     
Loading...